[PATCH] Obsolete Solaris 10 support

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[PATCH] Obsolete Solaris 10 support

Rainer Orth-2
Here's the patch corresponding to the Solaris 10 obsoletion announcement

        https://sourceware.org/ml/gdb/2019-10/msg00008.html

Right now it doesn't remove any code, but obviates the need to test on
that ancient platform.  Besides, some of the patches I have in my queue
would require different solutions for Solaris 10 and 11.

There are a few comment-only references that I've kept since they are
still correct as is, even when GDB doesn't support Solaris 10 any
longer.  The only code fragment I've left in is support for
/proc/<pid/path/a.out in procfs.c (procfs_target::pid_to_exec_file):
while current Solaris 11 updates provide /proc/<pid>/execname, that
wasn't present in Solaris 11.0 and still isn't in current Illumos and I
didn't want to make live harder for them.

Tested on i386-pc-solaris2.10 (obsolete configuration rejected) and
x86_64-pc-linux-gnu x sparc64-solaris2.10 (likewise)
resp. x86_64-pc-linux-gnu x sparcv9-solaris2.11 (still builds; I'm using
the sparcv9 form for 64-bit SPARC customary on Solaris in the
MAINTAINERS file now).

Following our obsoletion procedure, I'm going to commit the patch a week
after the obsoletion announcement goes to gdb-announce.

        Rainer

--
-----------------------------------------------------------------------------
Rainer Orth, Center for Biotechnology, Bielefeld University


2019-09-06  Rainer Orth  <[hidden email]>

        * NEWS (Changes since GDB 8.3): Document Solaris 10 removal.
        * configure.host: Mark *-*-solaris2.10* obsolete.
        * configure.tgt: Mark Solaris < 11 obsolete.
        * MAINTAINERS (Target Instruction Set Architectures) <sparc>:
        Update target triplet.


# HG changeset patch
# Parent  112527a0ee9ed142cc900be745fbe49004ca44d9
Obsolete Solaris 10 support

diff --git a/gdb/MAINTAINERS b/gdb/MAINTAINERS
--- a/gdb/MAINTAINERS
+++ b/gdb/MAINTAINERS
@@ -313,10 +313,10 @@ the native maintainer when resolving ABI
  s390 --target=s390-linux-gnu ,-Werror
  Andreas Arnez [hidden email]
 
- score --target=score-elf
+ score --target=score-elf
  sh --target=sh-elf ,-Werror
 
- sparc --target=sparc64-solaris2.10 ,-Werror
+ sparc --target=sparcv9-solaris2.11 ,-Werror
  (--target=sparc-elf broken)
 
  spu --target=spu-elf ,-Werror
diff --git a/gdb/NEWS b/gdb/NEWS
--- a/gdb/NEWS
+++ b/gdb/NEWS
@@ -318,6 +318,11 @@ maint show test-options-completion-resul
   GDB now bundles GNU readline 8.0, but if you choose to use
   --with-system-readline, only readline >= 7.0 can be used.
 
+* Removed targets and native configurations
+
+Solaris 10 i?86-*-solaris2.10, x86_64-*-solaris2.10,
+ sparc*-*-solaris2.10
+
 *** Changes in GDB 8.3
 
 * GDB and GDBserver now support access to additional registers on
diff --git a/gdb/configure.host b/gdb/configure.host
--- a/gdb/configure.host
+++ b/gdb/configure.host
@@ -20,7 +20,7 @@ case $host in
  vax-*-netbsdelf*)
     ;;
  *-*-irix* | \
- *-*-solaris2.[01] | *-*-solaris2.[2-9]* | \
+ *-*-solaris2.[01] | *-*-solaris2.[2-9]* | *-*-solaris2.10* | \
  alpha*-*-osf* | \
  alpha*-*-freebsd* | \
  alpha*-*-kfreebsd*-gnu | \
diff --git a/gdb/configure.tgt b/gdb/configure.tgt
--- a/gdb/configure.tgt
+++ b/gdb/configure.tgt
@@ -14,6 +14,7 @@
 
 case $targ in
  *-*-irix* | \
+ *-*-solaris2.[01] | *-*-solaris2.[2-9]* | *-*-solaris2.10* | \
  alpha*-*-osf* | \
  alpha*-*-freebsd* | \
  alpha*-*-kfreebsd*-gnu | \